project(CMSIS LANGUAGES C CXX ASM)

add_library(CMSIS INTERFACE)

target_include_directories(CMSIS INTERFACE
    ${CMAKE_SOURCE_DIR}/SDK/CMSIS
    ${CMAKE_SOURCE_DIR}/SDK/CMSIS/GD/GD32E23x/Include

    # Added directory of "gd32e23x_libopt.h".
    ${CMAKE_SOURCE_DIR}/Inc

    # 如有其它需要的头文件目录，可继续添加
    )